> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/resman/leads/create-lead-res-man/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Create Lead: ResMan POST https://api.propexo.com/v1/leads/resman/ Content-Type: application/json Create Lead: ResMan| Interface | Method | | --------------- | ---------------------------- | | Lead Management | /MITS/PostLeadManagement4\_0 |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately. Reference: https://docs.propexo.com/api-reference/resman/leads/create-lead-res-man ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a _v1_leads_resman__post_input. - `integration_id` (string, required) — The Propexo unique identifier for the integration - `lead_source_id` (string, required) — The Propexo unique identifier for the lead source - `employee_id` (string, required) — The Propexo unique identifier for the employee - `property_id` (string, required) — The Propexo unique identifier for the property - `first_name` (string, required) — The first name associated with the lead - `last_name` (string, required) — The last name associated with the lead - `unit_id` (string, optional) — The Propexo unique identifier for the unit - `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan - `email_1` (string, optional) — The primary email address associated with the lead - `phone_1` (string, optional) — Primary phone number associated with the lead - `phone_1_type` (enum, optional) — Type of the primary phone number. This will default to HOME if not provided - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK` - `phone_2` (string, optional) — Secondary phone number associated with the lead - `phone_2_type` (enum, optional) — Type of the secondary phone number. This will default to MOBILE if not provided - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK` - `city` (string, optional) — The city associated with the lead - `address_1` (string, optional) — The first address line associated with the lead - `address_2` (string, optional) — The second address line associated with the lead - `state` (string, optional) — The state associated with the lead - `zip` (string, optional) — The zip code associated with the lead - `notes` (string, optional) — Notes associated with the lead - `desired_num_bedrooms` (double, optional) — The desired number of bedrooms - `desired_num_bathrooms` (double, optional) — The desired number of bathrooms - `desired_max_rent_in_cents` (double, optional) — The maximum rent cost the lead is looking to pay, in cents - `desired_lease_term_in_months` (double, optional) — The amount of months for the lease term - `target_move_in_date` (V1LeadsResmanPostInputTargetMoveInDate, optional) — The target move in date associated with the lead ## Response ### 200 Successful response - `meta` (V1LeadsResmanPostOutputMeta, required) - `result` (V1LeadsResmanPostOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1LeadsResmanPostInputTargetMoveInDate The target move in date associated with the lead ### V1LeadsResmanPostOutputMeta - `job_id` (string, required) ### V1LeadsResmanPostOutputResult - `integration_id` (string, required) — The Propexo unique identifier for the integration - `lead_source_id` (string, required) — The Propexo unique identifier for the lead source - `employee_id` (string, required) — The Propexo unique identifier for the employee - `property_id` (string, required) — The Propexo unique identifier for the property - `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit - `floor_plan_id` (string, required, nullable) — The Propexo unique identifier for the floor plan - `first_name` (string, required) — The first name associated with the lead - `last_name` (string, required) — The last name associated with the lead - `email_1` (string, required, nullable) — The primary email address associated with the lead - `phone_1` (string, required, nullable) — Primary phone number associated with the lead - `phone_1_type` (enum, required) — Type of the primary phone number. This will default to HOME if not provided - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK` - `phone_2` (string, required, nullable) — Secondary phone number associated with the lead - `phone_2_type` (enum, required) — Type of the secondary phone number. This will default to MOBILE if not provided - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK` - `city` (string, required, nullable) — The city associated with the lead - `address_1` (string, required, nullable) — The first address line associated with the lead - `address_2` (string, required, nullable) — The second address line associated with the lead - `state` (string, required, nullable) — The state associated with the lead - `zip` (string, required, nullable) — The zip code associated with the lead - `notes` (string, required, nullable) — Notes associated with the lead - `desired_num_bedrooms` (double, required, nullable) — The desired number of bedrooms - `desired_num_bathrooms` (double, required, nullable) — The desired number of bathrooms - `desired_max_rent_in_cents` (double, required, nullable) — The maximum rent cost the lead is looking to pay, in cents - `desired_lease_term_in_months` (double, required, nullable) — The amount of months for the lease term - `target_move_in_date` (V1LeadsResmanPostOutputResultTargetMoveInDate, required, nullable) — The target move in date associated with the lead ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### V1LeadsResmanPostOutputResultTargetMoveInDate The target move in date associated with the lead ## Examples **Request** ```json { "integration_id": "int-987654321", "lead_source_id": "leadsrc-123456789", "employee_id": "emp-456789123", "property_id": "prop-789123456", "first_name": "Emily", "last_name": "Johnson" } ``` **Response** ```json { "meta": { "job_id": "job-20240615-001" }, "result": { "integration_id": "int-987654321", "lead_source_id": "leadsrc-123456789", "employee_id": "emp-456789123", "property_id": "prop-789123456", "unit_id": "unit-101", "floor_plan_id": "fp-202", "first_name": "Emily", "last_name": "Johnson", "email_1": "emily.johnson@example.com", "phone_1": "+1-555-123-4567", "phone_1_type": "MOBILE", "phone_2": "+1-555-765-4321", "phone_2_type": "WORK", "city": "San Francisco", "address_1": "123 Market St", "address_2": "Apt 4B", "state": "CA", "zip": "94105", "notes": "Interested in a pet-friendly unit with parking.", "desired_num_bedrooms": 2, "desired_num_bathrooms": 2, "desired_max_rent_in_cents": 350000, "desired_lease_term_in_months": 12, "target_move_in_date": "2024-07-01T00:00:00Z" } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/leads/resman/" payload = { "integration_id": "int-987654321", "lead_source_id": "leadsrc-123456789", "employee_id": "emp-456789123", "property_id": "prop-789123456", "first_name": "Emily", "last_name": "Johnson" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/leads/resman/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"integration_id":"int-987654321","lead_source_id":"leadsrc-123456789","employee_id":"emp-456789123","property_id":"prop-789123456","first_name":"Emily","last_name":"Johnson"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/leads/resman/" payload := strings.NewReader("{\n \"integration_id\": \"int-987654321\",\n \"lead_source_id\": \"leadsrc-123456789\",\n \"employee_id\": \"emp-456789123\",\n \"property_id\": \"prop-789123456\",\n \"first_name\": \"Emily\",\n \"last_name\": \"Johnson\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/leads/resman/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"integration_id\": \"int-987654321\",\n \"lead_source_id\": \"leadsrc-123456789\",\n \"employee_id\": \"emp-456789123\",\n \"property_id\": \"prop-789123456\",\n \"first_name\": \"Emily\",\n \"last_name\": \"Johnson\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.propexo.com/v1/leads/resman/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"integration_id\": \"int-987654321\",\n \"lead_source_id\": \"leadsrc-123456789\",\n \"employee_id\": \"emp-456789123\",\n \"property_id\": \"prop-789123456\",\n \"first_name\": \"Emily\",\n \"last_name\": \"Johnson\"\n}") .asString(); ``` ```php request('POST', 'https://api.propexo.com/v1/leads/resman/', [ 'body' => '{ "integration_id": "int-987654321", "lead_source_id": "leadsrc-123456789", "employee_id": "emp-456789123", "property_id": "prop-789123456", "first_name": "Emily", "last_name": "Johnson" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/leads/resman/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"integration_id\": \"int-987654321\",\n \"lead_source_id\": \"leadsrc-123456789\",\n \"employee_id\": \"emp-456789123\",\n \"property_id\": \"prop-789123456\",\n \"first_name\": \"Emily\",\n \"last_name\": \"Johnson\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "integration_id": "int-987654321", "lead_source_id": "leadsrc-123456789", "employee_id": "emp-456789123", "property_id": "prop-789123456", "first_name": "Emily", "last_name": "Johnson" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/resman/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```